﻿/**Begin C:\PDM_UPGRADE\sharepdmdir\sou\pdm1\SOU_constraint.sql **/
 EXEC P_ALTERPK 'PK_MCM_REDUCE', 'T_MCM_REDUCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_ORG') CREATE INDEX IDX_MCM_REDUCE_ORG ON T_MCM_REDUCE ( FCREATORID ,FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_BILLNO') CREATE INDEX IDX_MCM_REDUCE_BILLNO ON T_MCM_REDUCE ( FBILLNO );


 EXEC P_ALTERPK 'PK_MCM_REDUCE_ENTRY', 'T_MCM_REDUCE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_ENTRY_FK') CREATE INDEX IDX_MCM_REDUCE_ENTRY_FK ON T_MCM_REDUCE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_MCM_REDUCE_JOB', 'T_MCM_REDUCE_JOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_JOB_BILLNO') CREATE INDEX IDX_MCM_REDUCE_JOB_BILLNO ON T_MCM_REDUCE_JOB ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_JOB_ORG') CREATE INDEX IDX_MCM_REDUCE_JOB_ORG ON T_MCM_REDUCE_JOB ( FPLANENDTIME ,FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_JOB_STGY') CREATE INDEX IDX_MCM_REDUCE_JOB_STGY ON T_MCM_REDUCE_JOB ( FSTRATEGYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_JOB_PLAN') CREATE INDEX IDX_MCM_REDUCE_JOB_PLAN ON T_MCM_REDUCE_JOB ( FSOURCEBILLID ,FSOURCEENTRYID );


 EXEC P_ALTERPK 'PK_MCM_REDUCE_JOB_L', 'T_MCM_REDUCE_JOB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_JOB_L') CREATE UNIQUE INDEX IDX_MCM_REDUCE_JOB_L ON T_MCM_REDUCE_JOB_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_REDUCE_JOBRESULT', 'T_MCM_REDUCE_JOBRESULT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_JOBRESULT_FID') CREATE INDEX IDX_MCM_REDUCE_JOBRESULT_FID ON T_MCM_REDUCE_JOBRESULT ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_REDUCE_JOBRESULTATT', 'T_MCM_REDUCE_JOBRESULTATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_RESULTAAT_EID') CREATE INDEX IDX_MCM_REDUCE_RESULTAAT_EID ON T_MCM_REDUCE_JOBRESULTATT ( FENTRYID );


 EXEC P_ALTERPK 'PK_MCM_REDUCE_L', 'T_MCM_REDUCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_L') CREATE UNIQUE INDEX IDX_MCM_REDUCE_L ON T_MCM_REDUCE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_REDUCE_PLAN', 'T_MCM_REDUCE_PLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_PLAN_BILLNO') CREATE INDEX IDX_MCM_REDUCE_PLAN_BILLNO ON T_MCM_REDUCE_PLAN ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_PLAN_ORG') CREATE INDEX IDX_MCM_REDUCE_PLAN_ORG ON T_MCM_REDUCE_PLAN ( FCREATETIME ,FSOURCEENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_PLAN_STGY') CREATE INDEX IDX_MCM_REDUCE_PLAN_STGY ON T_MCM_REDUCE_PLAN ( FSOURCEBILLID ,FSOURCEENTRYID );


 EXEC P_ALTERPK 'PK_MCM_REDUCE_PLAN_L', 'T_MCM_REDUCE_PLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCE_PLAN_L') CREATE UNIQUE INDEX IDX_MCM_REDUCE_PLAN_L ON T_MCM_REDUCE_PLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_REDUCEEXEORG', 'T_MCM_REDUCEEXEORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCEEXEORG') CREATE INDEX IDX_MCM_REDUCEEXEORG ON T_MCM_REDUCEEXEORG ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_REDUCEPLAN_CHANGE', 'T_MCM_REDUCEPLAN_CHANGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCEPLAN_CHANGE') CREATE INDEX IDX_MCM_REDUCEPLAN_CHANGE ON T_MCM_REDUCEPLAN_CHANGE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCEPLAN_ORG') CREATE INDEX IDX_MCM_REDUCEPLAN_ORG ON T_MCM_REDUCEPLAN_CHANGE ( FCREATETIME ,FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCEPLAN_PLANID') CREATE INDEX IDX_MCM_REDUCEPLAN_PLANID ON T_MCM_REDUCEPLAN_CHANGE ( FPLANID );


 EXEC P_ALTERPK 'PK_MCM_REDUCEPLAN_CHANGE_L', 'T_MCM_REDUCEPLAN_CHANGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCEPLAN_CHANGE_L') CREATE UNIQUE INDEX IDX_MCM_REDUCEPLAN_CHANGE_L ON T_MCM_REDUCEPLAN_CHANGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_REDUCEPLAN_ENTRY', 'T_MCM_REDUCEPLAN_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCEPLAN_ENTRY_FID') CREATE INDEX IDX_MCM_REDUCEPLAN_ENTRY_FID ON T_MCM_REDUCEPLAN_ENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_REDUCEPLAN_ENTRYNEW', 'T_MCM_REDUCEPLAN_ENTRYNEW', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCEPLAN_ENEW_FID') CREATE INDEX IDX_MCM_REDUCEPLAN_ENEW_FID ON T_MCM_REDUCEPLAN_ENTRYNEW ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_REDUCEPLAN_ENTRYOLD', 'T_MCM_REDUCEPLAN_ENTRYOLD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_REDUCEPLAN_EOLD_FID') CREATE INDEX IDX_MCM_REDUCEPLAN_EOLD_FID ON T_MCM_REDUCEPLAN_ENTRYOLD ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATE', 'T_MCM_SUPPLYRATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_ORG') CREATE INDEX IDX_MCM_SUPPLYRATE_ORG ON T_MCM_SUPPLYRATE ( FCREATETIME ,FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_BILLNO') CREATE INDEX IDX_MCM_SUPPLYRATE_BILLNO ON T_MCM_SUPPLYRATE ( FBILLNO );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATE_ENTRY', 'T_MCM_SUPPLYRATE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_ENTRY_FID') CREATE INDEX IDX_MCM_SUPPLYRATE_ENTRY_FID ON T_MCM_SUPPLYRATE_ENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATE_JOB', 'T_MCM_SUPPLYRATE_JOB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_JOB_BILLNO') CREATE INDEX IDX_MCM_SUPPLYRATE_JOB_BILLNO ON T_MCM_SUPPLYRATE_JOB ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_JOB_ORG') CREATE INDEX IDX_MCM_SUPPLYRATE_JOB_ORG ON T_MCM_SUPPLYRATE_JOB ( FPLANENDTIME ,FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_JOB_STGY') CREATE INDEX IDX_MCM_SUPPLYRATE_JOB_STGY ON T_MCM_SUPPLYRATE_JOB ( FSTRATEGYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_JOB_PLAN') CREATE INDEX IDX_MCM_SUPPLYRATE_JOB_PLAN ON T_MCM_SUPPLYRATE_JOB ( FSOURCEBILLID ,FSOURCEENTRYID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATE_JOB_L', 'T_MCM_SUPPLYRATE_JOB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_JOB_L') CREATE UNIQUE INDEX IDX_MCM_SUPPLYRATE_JOB_L ON T_MCM_SUPPLYRATE_JOB_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATE_L', 'T_MCM_SUPPLYRATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_L') CREATE UNIQUE INDEX IDX_MCM_SUPPLYRATE_L ON T_MCM_SUPPLYRATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATE_ORG', 'T_MCM_SUPPLYRATE_ORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_ORG_FID') CREATE INDEX IDX_MCM_SUPPLYRATE_ORG_FID ON T_MCM_SUPPLYRATE_ORG ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATE_PL_ENTRY', 'T_MCM_SUPPLYRATE_PL_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_PL_ENTRY_FK') CREATE INDEX IDX_MCM_SUPPLYRATE_PL_ENTRY_FK ON T_MCM_SUPPLYRATE_PL_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATE_PLAN', 'T_MCM_SUPPLYRATE_PLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_PLAN_BILLNO') CREATE INDEX IDX_MCM_SUPPLYRATE_PLAN_BILLNO ON T_MCM_SUPPLYRATE_PLAN ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_PLAN_ORG') CREATE INDEX IDX_MCM_SUPPLYRATE_PLAN_ORG ON T_MCM_SUPPLYRATE_PLAN ( FCREATETIME ,FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_PLAN_STGY') CREATE INDEX IDX_MCM_SUPPLYRATE_PLAN_STGY ON T_MCM_SUPPLYRATE_PLAN ( FSOURCEBILLID ,FSOURCEENTRYID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATE_PLAN_L', 'T_MCM_SUPPLYRATE_PLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_PLAN_L') CREATE UNIQUE INDEX IDX_MCM_SUPPLYRATE_PLAN_L ON T_MCM_SUPPLYRATE_PLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATE_RESATT', 'T_MCM_SUPPLYRATE_RESATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_ATT_ENTRY') CREATE INDEX IDX_MCM_SUPPLYRATE_ATT_ENTRY ON T_MCM_SUPPLYRATE_RESATT ( FENTRYID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATE_RESULT', 'T_MCM_SUPPLYRATE_RESULT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATE_RESULTFID') CREATE INDEX IDX_MCM_SUPPLYRATE_RESULTFID ON T_MCM_SUPPLYRATE_RESULT ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATEPLAN_CHG', 'T_MCM_SUPPLYRATEPLAN_CHG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATEPLAN_ORG') CREATE INDEX IDX_MCM_SUPPLYRATEPLAN_ORG ON T_MCM_SUPPLYRATEPLAN_CHG ( FORGID ,FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATEPLAN_BILLNO') CREATE INDEX IDX_MCM_SUPPLYRATEPLAN_BILLNO ON T_MCM_SUPPLYRATEPLAN_CHG ( FBILLNO );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATEPLAN_CHG_L', 'T_MCM_SUPPLYRATEPLAN_CHG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATEPLAN_CHG_L') CREATE UNIQUE INDEX IDX_MCM_SUPPLYRATEPLAN_CHG_L ON T_MCM_SUPPLYRATEPLAN_CHG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATEPLAN_NEW', 'T_MCM_SUPPLYRATEPLAN_NEW', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATEPLAN_NEW_FID') CREATE INDEX IDX_MCM_SUPPLYRATEPLAN_NEW_FID ON T_MCM_SUPPLYRATEPLAN_NEW ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MCM_SUPPLYRATEPLAN_OLD', 'T_MCM_SUPPLYRATEPLAN_OLD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MCM_SUPPLYRATEPLAN_OLD_FID') CREATE INDEX IDX_MCM_SUPPLYRATEPLAN_OLD_FID ON T_MCM_SUPPLYRATEPLAN_OLD ( FID ,FSEQ );



/**End C:\PDM_UPGRADE\sharepdmdir\sou\pdm1\SOU_constraint.sql **/
